//
//  RoboEyesViewController.m
//  iPhoRobo
//
//  Created by Kazu Terasaki on 4/16/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "RoboEyesViewController.h"
#import "SecondViewController.h"


@implementation RoboEyesViewController

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


#define kAccelerometerFrequency		10

- (void)viewDidAppear:(BOOL)animated {
	// Configure and start the accelerometer
	[[UIAccelerometer sharedAccelerometer] setDelegate:self];
	[[UIAccelerometer sharedAccelerometer] setUpdateInterval:(1.0 / kAccelerometerFrequency)];
}


- (void)viewWillDisappear:(BOOL)animated {
	[[UIAccelerometer sharedAccelerometer] setDelegate:nil];
	
	[gSecondViewController.motionThread cancel];
}


- (IBAction)viewTouched:(id)sender {
	[self dismissModalViewControllerAnimated:YES];
}


#pragma mark UIAccelerometerDelegate

#define DEGREES_TO_RADIANS(__ANGLE__) ((__ANGLE__) / 180.0 * M_PI)

- (void)accelerometer:(UIAccelerometer *)accelerometer didAccelerate:(UIAcceleration *)acceleration {
	double ax = acceleration.x;
	double ay = acceleration.y;
	double az = acceleration.z;
	
	sx = sx * 0.5 + ax * 0.5;
	sy = sy * 0.5 + ay * 0.5;
	sz = sz * 0.5 + az * 0.5;
	
	NSLog(@"%f %f %f", sx, sy, sz);
	
	leftEye.transform = CGAffineTransformMakeRotation(DEGREES_TO_RADIANS(sx * (-270.0)));
	rightEye.transform = CGAffineTransformMakeRotation(DEGREES_TO_RADIANS(sx * (-270.0)));
}


@end
