//
//  SoundComm.h
//  soundComm
//
//  Created by Kazu Terasaki on 4/10/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AudioToolbox/AudioToolbox.h>


#define SEND_DATA_ARRAY_COUNT	12
#define AUDIO_BUFFER_COUNT		4


@interface SoundComm : NSObject {
	UInt16 sendDataArray[SEND_DATA_ARRAY_COUNT];
	UInt16 sendingDataArray[SEND_DATA_ARRAY_COUNT];
	AudioStreamBasicDescription audioDesc;
	AudioQueueRef audioQueue;
	AudioQueueBufferRef audioBuffers[AUDIO_BUFFER_COUNT];
}

- (id)init;
- (void)start;
- (void)stop;
- (void)setValue:(UInt16)value forIndex:(NSUInteger)index;
- (void)prepareForSending;
- (UInt16)getSendingValueAtIndex:(NSUInteger)index;

@end
